
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>STM32 UART 重映射 / 憋错料</title>

    <meta name="description" content="STM32 UART 重映射 在进行原理图设计的时候发现管脚的分配之间有冲突,需要对管脚进行重映射,在手册中了解到STM32 上有很多I/O口,也有很多的内置外设像:I2C,ADC,ISP,USART等 ,为了节省引出管脚,这些内置外设基本上是与I/O口共用管脚的,也就是I/O管脚的复用功能.但是STM32还有一特别之处就是:很多复用内置的外设的 I/O引脚可以通过重映射功能,从不同的I/O管脚引出,即复用功能的引脚是可通过程序改变的. 第一次这么干感觉心里没底,所以针对USART1在STM32F103RBT6的板子上实现了">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">STM32 UART 重映射</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在进行原理图设计的时候发现管脚的分配之间有冲突，需要对管脚进行重映射，在手册中了解到STM32 上有很多I/O口，也有很多的内置外设像：I2C,ADC,ISP,USART等 ，为了节省引出管脚，这些内置外设基本上是与I/O口共用管脚的，也就是I/O管脚的复用功能。但是STM32还有一特别之处就是：很多复用内置的外设的 I/O引脚可以通过重映射功能，从不同的I/O管脚引出，即复用功能的引脚是可通过程序改变的。</p>
<p>第一次这么干感觉心里没底，所以针对USART1在STM32F103RBT6的板子上实现了一把，以下是相关的测试代码：</p>
<p>/*****************************************************************************</p>
<p>//函数名：void Uart1_Init(void)</p>
<p>//功能：串口（USART1）重映射初始化配置函数，由TX PA9~PB6 &nbsp; &nbsp;RX PA10~~PB7</p>
<p>*****************************************************************************/</p>
<p>void Uart1_Init(void)</p>
<p>{</p>
<p>RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB | RCC_APB2Periph_AFIO,ENABLE);//开启端口B和复用功能时钟</p>
<p>GPIO_PinRemapConfig(GPIO_Remap_USART1,ENABLE);//使能端口重映射</p>
<p>GPIO_InitTypeDef GPIO_InitStructure;</p>
<p>//uart 的GPIO重映射管脚初始化 PB6　usart1_TX PB7 USART_RX</p>
<p>GPIO_InitStructure.GPIO_Pin=GPIO_Pin_6;</p>
<p>GPIO_InitStructure.GPIO_Mode=GPIO_Mode_AF_PP;//推挽输出</p>
<p>GPIO_InitStructure.GPIO_Speed=GPIO_Speed_50MHz;</p>
<p>GPIO_Init(GPIOB,&amp;GPIO_InitStructure);</p>
<p>GPIO_InitStructure.GPIO_Pin=GPIO_Pin_7;</p>
<p>GPIO_InitStructure.GPIO_Mode=GPIO_Mode_IN_FLOATING;//悬空输入</p>
<p>GPIO_Init(GPIOB,&amp;GPIO_InitStructure);</p>
<p>RCC_APB2PeriphClockCmd(RCC_APB2Periph_USART1,ENABLE);</p>
<p>USART_InitTypeDef USART_InitStructure;</p>
<p>//串口参数配置：9600,8,1，无奇偶校验，无硬流量控制 ，使能发送和接收</p>
<p>USART_InitStructure.USART_BaudRate = 9600;</p>
<p>USART_InitStructure.USART_WordLength = USART_WordLength_8b;</p>
<p>USART_InitStructure.USART_StopBits = USART_StopBits_1;</p>
<p>USART_InitStructure.USART_Parity = USART_Parity_No ;</p>
<p>USART_InitStructure.USART_HardwareFlowControl = USART_HardwareFlowControl_None;</p>
<p>USART_InitStructure.USART_Mode = USART_Mode_Rx | USART_Mode_Tx;</p>
<p>USART_Init(USART1, &amp;USART_InitStructure);</p>
<p>USART_ITConfig(USART1, USART_IT_RXNE,ENABLE);//串口接收中断</p>
<p>USART_Cmd(USART1, ENABLE);</p>
<p>}</p>
<p>简要分析重映射步骤为:</p>
<p>1.打开重映射时钟和USART重映射后的I/O口引脚时钟,</p>
<p>RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB &nbsp;|RC C_APB2Periph_AFIO,ENABLE);</p>
<p>2.I/O口重映射开启.</p>
<p>GPIO_PinRemapConfig(GPIO_Remap_USART1,ENABLE);</p>
<p>3.配制重映射引脚, 这里只需配置重映射后的I/O,原来的不需要去配置.</p>
<p>GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6;</p>
<p>GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF_PP;</p>
<p>GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;</p>
<p>GPIO_Init(GPIOB, &amp;GPIO_InitStructure);</p>
<p>GPIO_InitStructure.GPIO_Pin = GPIO_Pin_7;</p>
<p>GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;</p>
<p>GPIO_Init(GPIOB, &amp;GPIO_InitStructure);</p>
<p>只需要简单的以上三步就能轻松搞定。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 15:38:58 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>STM32 UART 重映射的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6VeXyM.html" rel="bookmark">stm32 端口重映射的深入解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于项目需要,我需要把usart3的端口PB10 和 PB11 重映射到 PC10 和 PC11 上,根据官方资料,这是部分重映像: 如图,下面首先要开启APIO时钟:  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOC | RCC_APB2Periph_AFIO,ENABLE);  //然后需要设置端口  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_10;  GPIO_InitStructure.GPIO_Mode = G			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bgeNp3.html" rel="bookmark">STM32重映射&lpar;PinRemap&rpar;的使用，注意！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				STM32重映射,内容和细节稍后补充,这里只说几个注意点,花了我一晚上的时间调试终于找到问题所在了... 芯片: STM32f107vct6 晶振: 25M 通过分频器与锁相环,使系统时钟为72M 背景: SPI3的重映射使用 一. 重映射函数原型: void GPIO_PinRemapConfig(uint32_t GPIO_Remap, FunctionalState NewState) STM32f107vct6不是FPGA,重映射是固定的,无法自行指定,要查表,看看映射到了哪 比如SPI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49Q1k14.html" rel="bookmark">嵌入式02 STM32 实验01 端口复用和重映射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内设与外设: 端口复用和端口重映射都需要了解内设和外设,那么什么是内设?什么是外设? 内设:单片机内部集成的功能一般包括:串口模块.SPI模块(Serial Peripheral Interface  串行外设接口).I2C模块(Philips公司开发的一种简单.双向二线制同步串行总线).A/D模块(模数转换器).PWM模块(Pulse Width Modulation  脉冲宽度调制).CAN模块(Controller Area Network  控制器局域网络).EEPROM(Electri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rzBVg3.html" rel="bookmark">&lpar;十&rpar;stm32 GPIO口复用，重映射 RCC&lowbar;APB2Periph&lowbar;AFIO</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么时候需要用到RCC_APB2Periph_AFIO--复用IO时钟的使用 需要用到外设的重映射功能时才需要使能AFIO的时钟 外部中断(EXTI)中与AFIO有关的寄存器是AFIO-EXTICR1.2.3,它们是用来选择EXTIx外部中断的输入脚之用 举例:重映射USART2 USART2的TX/RX在PA.2/3 PA.2已经被Timer2的channel3使用需要把USART2的TX/RX重映射到PD.5/6库函数的调用 (1)使能被重新映射到的I/O端口时钟 RCC_APB2Perip			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0baqZmM.html" rel="bookmark">STM32管教复用与重映射关系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘自:http://blog.csdn.net/lincheng15/article/details/51789093 概括一下:复用就是一个引脚有几个功能,1.做普通IO输入输出 2.其他外设的输入输出(比如I2C,TIM,SPI等等),这就是复用. 重映射就是将引脚功能重新定义到其他引脚,例如PA9是USART1-TX默认的管脚,但是现在PA9用做它用了,那可以将USART1-TX重新映射到PB6,当然这种映射不是随意的想映射到哪个脚就哪个脚,芯片内部已经固定了只能映射到固定的地方 MCU复			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eb8BE3.html" rel="bookmark">ARM&lowbar;串口&mdash;&mdash;printf重映射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				来源:http://blog.163.com/qiu_zhi2008/blog/static/6014097720111110710738/ STM32 printf函数重映射 #ifdef __GNUC__ /* With GCC/RAISONANCE, small printf (option LD Linker-&gt;Libraries-&gt;Small printf set to 'Yes') calls __io_putchar() */ #define PUTCHAR_PROTOTYPE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OZWA90.html" rel="bookmark">管脚重映射和复用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. [转载]STM32的功能引脚重映射和复用功能_meshine_新浪博客  http://blog.sina.com.cn/s/blog_a2ba6cce01010n7r.html 2. 5.10. STM32重映射功能-STM32(初学宝典)神舟IV号开发板 - 商路通   http://www.3566t.com/news/vima/3497220.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nLXLP4.html" rel="bookmark">串口、以及引脚重映射实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 /*Include---------------------------*/ 2 #include&quot;stm32f10x_lib.h&quot; //包含所有的头文件 3 #include&lt;stdio.h&gt; 4 5 //----------------函数声明-------------------- 6 void Delay_MS(u16 dly); 7 void RCC_Configuration(void); 8 void GPIO_Configuration(void); 9			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41VlKPM.html" rel="bookmark">重映射  与 复用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				装载自  http://www.cnblogs.com/jeakon/archive/2012/10/04/2816798.html 下面跟大家说一下STM32单片机的端口重映射,因为是以自己为实例.这里是以USART1的重映射为例.. 因为我要一个TFT_LCD屏的主控板,考虑到FSMC 我选用了STM32F103VCT6 型号的CPU,一不小心串口接到USART1上了.因为在调程序时才发现错了,没得办法,只能通过端口重映射来解决.但是以前没用过端口重映射,只闻其名,未用其身,所以..呵呵 .			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0YDoqM.html" rel="bookmark" class="title">7&period;函数</a>
					<div>
						简单演练 func sum(a: Int, b: Int) -&gt; Int { return a + b } 阶段性小结 函数定义格式:func 函数名(参数: 参数类型...) -&gt; 返回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDlApM.html" rel="bookmark" class="title">通过灰度线性映射增强图片对比度</a>
					<div>
						Halcon中如何通过灰度线性映射增强图片对比度呢?不急,我先讲点其他的. 如果你用过Photoshop,那么想必对增强图像的对比度很熟悉.在Photoshop中,我们对下面这张图执行“色阶”调整:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j4NZXJ4.html" rel="bookmark" class="title">nginx开启ssl</a>
					<div>
						server {         listen  443;         server_name     hsggj.docker.com;  自己定义的地址;          ssl     o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JDD9b0.html" rel="bookmark" class="title">欢迎进入MyKTV前后台点歌系统展示</a>
					<div>
						一个项目,一分收获:一个项目,一些资源.Ktv项目也是一样的,所以我想分享我的收获,让你们获得你需要的资源. 一. 那MyKTV点歌系统具体的功能有哪些呢?我们就来看看吧! 1.MyKTV前台功能:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWyqxG3.html" rel="bookmark" class="title">C&num;分布式缓存Couchbase</a>
					<div>
						C#分布式缓存Couchbase使用 一.简介 目前C#业界使用得最多的 Cache 系统主要是 Memcached和 Redis. 这两个 Cache 系统可以说是比较成熟的解决方案,也是很多系统当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r5oB10.html" rel="bookmark" class="title">POJ - 1054 The Troublesome Frog</a>
					<div>
						题意:给你个矩阵,里面有n个标记的点,许多只青蛙在上面跳,每次跳的距离都是一样的且轨迹是直线,目标是从一边跳到另一边,求最多步数的青蛙 思路:排序后,枚举判断 #include &lt;iostrea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBmpwj4.html" rel="bookmark" class="title">shell第四篇（下）</a>
					<div>
						摘自王垠的:Unix的缺陷 我想通过这篇文章解释一下我对 Unix 哲学本质的理解.我虽然指出 Unix 的一个设计问题,但目的并不是打击人们对 Unix 的兴趣.虽然 Unix 在基础概念上有一个挺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrEoW4.html" rel="bookmark" class="title">SQLServer内置函数</a>
					<div>
						类型转换函数cast和convert --cast一般更容易使用,convert的优点是可以格式化日期和数值 select CAST('123' as int) -- 123 select CONVE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7z9K3.html" rel="bookmark" class="title">互联网思维</a>
					<div>
						1.用户思维 &quot;独孤九剑&quot;第一招是总诀式,第一招学不会,后面的招数就很难领悟.互联网思维也一样.互联网思维,第一个,也是最重要的,就是用户思维.用户思维,是指在价值链各个环节中都要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME8GBQ4.html" rel="bookmark" class="title">Bmob云服务器小试牛刀</a>
					<div>
						先开个题,这阵子忙完再来开始写.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzANkd4.html" rel="bookmark" class="title">html课程表（html&plus;css）</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;head&gt; &lt;title&gt; 课程表 &lt;/title&gt; &lt;style type=&quot;text/css&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAPq54.html" rel="bookmark" class="title">ecshop商城系统登录出现登录闪退问题</a>
					<div>
						症状:ecshop商城系统提示登录成功,而且状态也是登录,一刷新,自动退出了,真坑爹 解决方案: 1.点着点着经常无故退出,感觉session被清空了.查找原因:ecshop中有用ip地址来验证,而公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQwJLM.html" rel="bookmark" class="title">CodeForces 549G Happy Line</a>
					<div>
						Happy Line Time Limit:1000MS     Memory Limit:262144KB     64bit IO Format:%I64d &amp; %I64u Submit  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kNgnjM.html" rel="bookmark" class="title">浅谈敏捷开发</a>
					<div>
						首先,了解下敏捷开发的定义:以用户的需求进化为核心,采用迭代.循序渐进的方法进行软件开发.通俗地说,就是把一个大任务分成很多小的块来做.相对传统软件开发模式,它主要是针对快速变化的需求,不断优化管理流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wpPWN4.html" rel="bookmark" class="title">DB索引、索引覆盖、索引优化</a>
					<div>
						###########索引########### @see   http://mp.weixin.qq.com/s/4W4iVOZHdMglk0F_Ikao7A 聚集索引(clustered inde ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47X9noM.html" rel="bookmark" class="title">10 个最好的移动App开发框架</a>
					<div>
						1. Ionic10 个最好的移动App开发框架 Ionic, a front-end framework, a helps building native-like mobile apps with ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35NWzV4.html" rel="bookmark" class="title">C语言指针学习（转载）</a>
					<div>
						http://blog.chinaunix.net/uid-22889411-id-59688.html c语言中指针学习: 入门介绍: int i=30;//定义一个int型的变量i(两个字节的内存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgQKAN3.html" rel="bookmark" class="title">对于毛星云opencv教程中的方法汇总</a>
					<div>
						此随笔只为记录,以备后续的回顾 一.图像的载入与显示C++: Mat imread(const string&amp; filename, intflags=1 ); flags &gt;0返回一个3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YWQJX4.html" rel="bookmark" class="title">vim官方中文版手册</a>
					<div>
						转载自vim  官方中文版手册 http://bbs.chinaunix.net/thread-2026233-1-1.html==================================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49OYbv0.html" rel="bookmark" class="title">深入C&plus;&plus;的new</a>
					<div>
						转载自:http://blog.csdn.net/songthin/article/details/1703966 “new”是C++的一个关键字,同时也是操作符.关于new的话题非常多,因为它确实比 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
